package com.example.soulfood_assignment2;


import android.app.Activity;
import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.Arrays;

public class ThaiAsyncTask  extends AsyncTask<Void, Void, ArrayAdapter<String>> {
    public ArrayList<String> thaiResults = new ArrayList<>();
    public ArrayList<String> songNamesList = new ArrayList<>();
    public ListView listView;
    public Context context;
    public databaseInterface.Cuisine cuisine;
    public databaseInterface.Vibe vibe;
    public databaseInterface.Time time;

    public ThaiAsyncTask(Context context, databaseInterface.Cuisine cuisine, databaseInterface.Time time, databaseInterface.Vibe vibe) {

        this.context = context;
        this.cuisine = cuisine;
        this.vibe = vibe;
        this.time = time;
    }


    @Override
    protected ArrayAdapter<String> doInBackground(Void... params) {

        try {

            databaseInterface dbi = new databaseInterface();
            thaiResults = dbi.getPlaylistByAttributes(cuisine, vibe, time);
            songNamesList = new ArrayList<>();
            for(int i = 0; i < thaiResults.size(); i++) {
                songNamesList.add(dbi.getSongTitle(thaiResults.get(i)));
            }


                ArrayAdapter thaiAdapter = new ArrayAdapter<String>(
                    context, android.R.layout.simple_list_item_1, songNamesList
            );
            return thaiAdapter;
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    @Override
    protected void onPostExecute(ArrayAdapter thaiAdapter) {
        listView.setAdapter(thaiAdapter);
    }


}

