package com.example.soulfood_assignment2;

import android.content.Context;
import android.content.Intent;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.SeekBar;
import android.widget.Toast;

public class settings extends AppCompatActivity {

    public SeekBar volSeekBar;
    public AudioManager am;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setVolumeControlStream(AudioManager.STREAM_MUSIC);
        setContentView(R.layout.activity_settings);
        initControls();


        final MediaPlayer mp = MediaPlayer.create(this, R.raw.beepsoundeffect);
        Button revertToFactorySettings = findViewById(R.id.factorySettings);

        revertToFactorySettings.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
            mp.start();
            }
        });
    }

    private void initControls() {
        try {
            volSeekBar = findViewById(R.id.seekBar);
            am = (AudioManager) getSystemService(Context.AUDIO_SERVICE);
            volSeekBar.setMax(am
                    .getStreamMaxVolume(AudioManager.STREAM_MUSIC));
            volSeekBar.setProgress(am
                    .getStreamVolume(AudioManager.STREAM_MUSIC));


            volSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
                @Override
                public void onStopTrackingTouch(SeekBar arg0) {
                }

                @Override
                public void onStartTrackingTouch(SeekBar arg0) {
                }

                @Override
                public void onProgressChanged(SeekBar arg0, int progress, boolean arg2) {
                    am.setStreamVolume(AudioManager.STREAM_MUSIC,
                            progress, AudioManager.FLAG_PLAY_SOUND);
                    Toast.makeText(settings.this,"Volume successully changed - Click test to test volume", Toast.LENGTH_SHORT).show();
                }
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void homeScreenViewOnClick(View view) {
        Intent intent = new Intent(this, homeScreen.class);
        startActivity(intent);
    }
}
