package com.example.soulfood_assignment2;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class SongInformationPage extends AppCompatActivity {


    String title;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_song_information_page);

        title = getIntent().getStringExtra("song_name");
        String tag1 = getIntent().getStringExtra("tag1_name");
        String tag2 = getIntent().getStringExtra("tag2_name");
        String tag3 = getIntent().getStringExtra("tag3_name");
        TextView songNameView = findViewById(R.id.songNameView);
        TextView tag1View = findViewById(R.id.tag1View);
        TextView tag2View = findViewById(R.id.tag2View);
        TextView tag3View = findViewById(R.id.tag3View);
        songNameView.setText(title);
        tag1View.setText("Cuisine: " + tag1);
        tag2View.setText("Time Of Day: " + tag2);
        tag3View.setText("Vibe: " + tag3);
    }

    public void songPlayOnClick(View view) {
        String id = getIntent().getStringExtra("id");
        SpotifyClass spotifyClass = MainActivity.spotifyClass;
        spotifyClass.pauseSong();
        spotifyClass.playSong(id);
        Toast.makeText(SongInformationPage.this,"You are now playing: " + title, Toast.LENGTH_LONG).show();
    }

    public void songPauseOnClick(View view) {
        SpotifyClass spotifyClass = MainActivity.spotifyClass;
        spotifyClass.pauseSong();
        Toast.makeText(SongInformationPage.this,"You've now paused the song", Toast.LENGTH_LONG).show();
    }
}
