package com.example.soulfood_assignment2;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.TextView;

public class swtViewScreen extends AppCompatActivity {

    public ListView tagResults;
    public Intent songView;
    TextView tagNameView;


    @SuppressLint("StaticFieldLeak")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_song_with_tag_view);
        String title = getIntent().getStringExtra("tag_name");

        tagNameView = findViewById(R.id.tagTextView2);
        tagNameView.setText(title);

        if (tagNameView.getText().toString().equals("Songs with 'Chinese' Tag")) {

            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.chinese, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;

            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if(tagNameView.getText().toString().equals("Songs with 'Thai' Tag")) {

            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.thai, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;

            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Indian' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.indian, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;

            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Japanese' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.japanese, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Italian' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.italian, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'Mexican' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.mexican, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'French' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.french, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        } else if (tagNameView.getText().toString().equals("Songs with 'American' Tag")) {
            ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(swtViewScreen.this, databaseInterface.Cuisine.american, databaseInterface.Time.any, databaseInterface.Vibe.any);
            thaiAsyncTask.listView = findViewById(R.id.charleyNeedsHelp);
            thaiAsyncTask.execute();
            tagResults = thaiAsyncTask.listView;
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            songPage(thaiAsyncTask.songNames[0], thaiAsyncTask.attributesSong1.get(0), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 1:
                            songPage(thaiAsyncTask.songNames[1], thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 2:
                            songPage(thaiAsyncTask.songNames[2], thaiAsyncTask.attributesSong1.get(2), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 3:
                            songPage(thaiAsyncTask.songNames[3], thaiAsyncTask.attributesSong1.get(3), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 4:
                            songPage(thaiAsyncTask.songNames[4], thaiAsyncTask.attributesSong1.get(4), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 5:
                            songPage(thaiAsyncTask.songNames[5], thaiAsyncTask.attributesSong1.get(5), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                        case 6:
                            songPage(thaiAsyncTask.songNames[6], thaiAsyncTask.attributesSong1.get(6), thaiAsyncTask.attributesSong1.get(1), thaiAsyncTask.attributesSong1.get(2));
                            break;
                    }
                }
            });
        }

    }

    public void songPage(String songName, String tag1, String tag2, String tag3) {
        songView = new Intent(this, SongInformationPage.class);
        songView.putExtra("song_name", songName);
        songView.putExtra("tag1_name", tag1);
        songView.putExtra("tag2_name", tag2);
        songView.putExtra("tag3_name", tag3);
        startActivity(songView);
    }


}